NPTL Paket fehlt bei Debian?!

Dieses Thema im Forum "Installation & Basiskonfiguration" wurde erstellt von contentX, 08.03.2006.

  1. #1 contentX, 08.03.2006
    contentX

    contentX Grünschnabel

    Dabei seit:
    08.03.2006
    Beiträge:
    6
    Zustimmungen:
    0
    Hallo,
    möchte ein Programm installieren, dessen Installation aber abbricht, da das NPTL-Package nicht installiert ist. Mit apt-get kann ich es nicht reinholen. Weiß wer wo ich es herbekomme, in welcher lib es evtl. vorhanden ist und wie ich es in mein Debian System einbinden kann?
    mfg contentX
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen
  4. #3 contentX, 08.03.2006
    Zuletzt bearbeitet: 08.03.2006
    contentX

    contentX Grünschnabel

    Dabei seit:
    08.03.2006
    Beiträge:
    6
    Zustimmungen:
    0
    danke für die schnelle Antwort.. Bin ich durch Suchrecherchen auch schon drauf gestoßen.. weiß nur leider nicht wirklich was ich machen kann damit es funktioniert? :( Auch das bei der Installation gesagt wird, dass das package nicht vorhanden ist verwundert mich ein wenig.. Sorry wenn ich doofe Fragen stelle, aber stehe mit meinem Linux System noch am Anfang und freue mich schon, das mein Samba/LAMP und mt-daapd Server läuft.. Kannst du mir vielleicht auf die Sprünge helfen?
     
  5. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen
    Da ich die Debian Pakete leider nicht kenne, kann ich dir da wenig weiterhelfen ...
    normalerweise sollte Debian >= 3.0x schon NTPL Support haben.
     
  6. #5 contentX, 08.03.2006
    Zuletzt bearbeitet: 08.03.2006
    contentX

    contentX Grünschnabel

    Dabei seit:
    08.03.2006
    Beiträge:
    6
    Zustimmungen:
    0
    es geht um die Installation von Zimbra... Habe den Befehl "getconf GNU_LIBPTHREAD_VERSION" gerade ausgeführt und er zeigt mir "linuxthreads-0.10" an. Also wird es ja schon eingerichtet sein. Aber er zeigt mir bei der Installation immer noch
    "NPTL...MISSING
    sudo...FOUND sudo-1.6.8p7-1.2
    libidn11...FOUND libidn11-0.5.13-1.0
    curl...FOUND curl-7.13.2-2sarge4
    fetchmail...FOUND fetchmail-6.2.5-12sarge3
    libgmp3...FOUND libgmp3-4.1.4-6
    libxml2...FOUND libxml2-2.6.16-7
    libstdc++6...FOUND libstdc++6-3.4.3-13
    openssl...FOUND openssl-0.9.7e-3sarge1"
    an. Komme da nicht wirklich weiter.. Zur Debian-Version habe vor knapp 1 Monat die neuste vom Debian-Server heruntergeladen und momentan bei mir Installiert (one GUI).

    [EDIT] da ich momentan auch noch auf meinem Webserver arbeite, kannst du mir vielleicht sagen ob es unter suse 9.3 einen Paketinstaller wie apt.get gibt? möchte Pakete wie sudo, fetchmail und gmp schnell nachinstallieren..
     
  7. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen
    Ja du kannst dir APT4RPM installieren (siehe hier im SuSE Forum) ;)

    Zitat aus dem IRC Chat
     
  8. #7 contentX, 08.03.2006
    contentX

    contentX Grünschnabel

    Dabei seit:
    08.03.2006
    Beiträge:
    6
    Zustimmungen:
    0
    danke schon mal für den Tipp. Habe gerade das "APT4RPM" Paket nachinstalliert (es fehlte also vorher bei mir) und den Rechner sicherheitshalber neu gestartet. Nur leider meldet er mir bei der Installation immer noch den gleichen Fehler "NPTL...missing" :(.. Muss ich es vielleicht noch irgendwo mit einbinden, dass es beim start auch mit gestartet wirde oder dergleichen?
    danke für deine super schnelle und kompetente Hilfe :)
     
  9. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen
  10. #9 contentX, 08.03.2006
    Zuletzt bearbeitet: 09.03.2006
    contentX

    contentX Grünschnabel

    Dabei seit:
    08.03.2006
    Beiträge:
    6
    Zustimmungen:
    0
    *bing* sorry habe meine letzte nachricht falsch gepostet :(.. Habe natürlich unter Debian die libc6-i686 nachinstalliert, welches zu keinem Erfolg gebracht hat, sorry ;)

    [EDIT:] Hey, super, danke das apt-get unter suse funzt ja genau so gut wie unter debian :)...

    [EDIT2]: Hat keiner einen Lösungsvorschlag, wie ich das NPTL nachinstalliert bekomme? Habe es leider immer noch nicht hinbekommen, und google kann mir auch nicht wirklich weiterhelfen :(
     
  11. sven

    sven devilz|work

    Dabei seit:
    23.02.2006
    Beiträge:
    176
    Zustimmungen:
    0
    Ort:
    Rhein-Main
    Ich nicht wirklich, da ich kein Debian User bin .... eventl. kann dir da ein Debian Spezi helfen ;)
     
  12. #11 Goodspeed, 10.03.2006
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Wie alt ist das System? Wenn ich "getconf GNU_LIBPTHREAD_VERSION" auf nem Sarge-System ausführe, kommt "NPTL 0.60"
    Code:
    apt-cache policy libc6
    libc6:
      Installiert:2.3.2.ds1-22
      Mögliche Pakete:2.3.2.ds1-22
    
     
  13. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  14. #12 contentX, 10.03.2006
    contentX

    contentX Grünschnabel

    Dabei seit:
    08.03.2006
    Beiträge:
    6
    Zustimmungen:
    0
    Also der Befehl "getconf GNU_LIBPTHREAD_VERSION" gibt mir folgendes zurück "linuxthreads-0.10", mehr nicht. Das System ist wie gesagt vom Anfang diesen Jahres noch recht neu..
    Der Befehlt "apt-cache policy libc6" gibt mir folgendes zurück:
    vielleicht hilf das bei der Fehlerdiagnos, für die ich euch übrigens sehr dankbar bin, weiter.
     
  15. #13 Goodspeed, 13.03.2006
    Zuletzt bearbeitet: 13.03.2006
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Äh ... welchen Kernel nutzt Du?

    Ich wette 2.4 ... versuch mal nen 2.6er ;)
     
Thema:

NPTL Paket fehlt bei Debian?!

Die Seite wird geladen...

NPTL Paket fehlt bei Debian?! - Ähnliche Themen

  1. HOWTO Gentoo 2004.2 for linux 2.6 and NPTL

    HOWTO Gentoo 2004.2 for linux 2.6 and NPTL: http://www.gentoo-wiki.com/HOWTO_Gentoo_2004.2_for_linux_2.6_and_NPTL Habe es mal auf unserem Wiki gespiegelt !...
  2. Redhat 9 und NPTL

    Redhat 9 und NPTL: Hi Leute! Habe gerade gelesen, dass Red Hat 9 angeblich NPTL (Native Posix Threading Library) unterstützt. Dieses neue Feature ist wohl ab...
  3. Welche Paketquellen sind empfohlen? -CentOS 7.2.15.11

    Welche Paketquellen sind empfohlen? -CentOS 7.2.15.11: Hallo liebes Forum. Es scheint mir wie eine plumpe Anfängerfrage, jedoch habe ich zu dem Thema nichts sinnvolles gefunden. Ich habe CentOS...
  4. Netzwerkaufbau mit simulierten Paketen unter Linux

    Netzwerkaufbau mit simulierten Paketen unter Linux: Hallo, ich habe folgendes Problem. Da ich noch sehr unerfahren in Sachen Linux bzw. Netzwerkaufbau bin, wollte ich fragen, ob Ihr mir vllt etwas...
  5. Canonical schließt Lücke im Snap Paketformat

    Canonical schließt Lücke im Snap Paketformat: Snaps sind das neue Paketformat, das neben herkömmlichen DEB-Paketen in Ubuntu koexistieren kann. Jetzt wurde eine Sicherheitslücke geschlossen,...